This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 59377 - mkfs does not support -t ext3 switch
mkfs does not support -t ext3 switch
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: FutureFeature
Depends On: 59381
Blocks: 59383
  Show dependency treegraph
 
Reported: 2002-02-06 13:11 EST by Johnray Fuller
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-06 13:51:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnray Fuller 2002-02-06 13:11:40 EST
Description of Problem:

mkfs does not support the following switch:

-t ext3

instead, users must type:

-t ext2 -j, which is undocumented in the mkfs man page...

Version-Release number of selected component (if applicable):

util-linux-2.11f-17

How Reproducible:

Always

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

It is a bit confusing for users trying to format a disk with an ext3 filesystem

Expected Results:


Additional Information:
	
by adding the switch ext3 and updatig the man page to reflect this, it will add
to the usability of the program.

I am opening two more enhancements for the mkfs manpage to conincide with this
request.
Comment 1 Elliot Lee 2002-03-08 13:33:27 EST
This was an e2fsprogs bug, fixed in e2fsprogs-1.26-2

Note You need to log in before you can comment on or make changes to this bug.